Summary:	Script to rsync update an RPM repository mirror
Name:		rpmsync
Version:	1.7
Release:	%mkrel 15
License:	LGPLv2+
Group:		Networking/File transfer
Source0:	%{name}.pl
Source1:	README
Source2:	exclude.lst
Requires:	rsync
BuildArch:	noarch

%description
- Script to rsync update an RPM repository mirror; most useful for
  frequently updated distributions, like Mageia Cauldron, Mandriva Cooker
  or security updates for a specific version of an RPM-based distribution
- Moves RPMs so you can rsync between package versions
- Supports mirroring directories and individual files

%prep

%setup -T -c
cp -f %{SOURCE0} %{SOURCE1} %{SOURCE2} .

%install
install -d %{buildroot}%{_bindir}
install -m0755 %{name}.pl %{buildroot}%{_bindir}/%{name}

%files
%doc README exclude.lst
%attr(0755,root,root) %{_bindir}/%{name}



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.7-15.mga9
+ Revision: 1806879
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.7-14.mga8
+ Revision: 1499579
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7-13.mga7
+ Revision: 1274973
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 1.7-12.mga6
+ Revision: 930207
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7-11.mga5
+ Revision: 745855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-10.mga5
+ Revision: 688715
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-9.mga4
+ Revision: 518109
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.7-8.mga3
+ Revision: 380487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.7-7.mga2
+ Revision: 218150
- imported package rpmsync


* Sun Mar 23 2008 Frederik Himpe <fhimpe@mandriva.org> 1.7-3mdv2008.1
- Make it work correctly with rsync 3.0.0

* Wed Sep 19 2007 Oden Eriksson <oeriksson@mandriva.com> 1.7-2mdv2008.0
- bunzip the sources so that they are under version control
  and added some svn props

* Tue Aug 08 2006 Thomas Backlund <tmb@mandriva.org> 1.7-1mdv2007.0
- From David Walser <luigiwalser@yahoo.com>:
  - Add support for rsync -H (preserve hard links) command-line option

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org> 1.6-2mdv2006.0
- remove Mandrake references

* Thu Apr 08 2004 David Walser <luigiwalser@yahoo.com> 1.6-1mdk
- Fix for when multiple sources are specified on command-line (1.5 broke it)
- update default configuration and README to reflect new mirror structure

* Mon Mar 22 2004 David Walser <luigiwalser@yahoo.com> 1.5-1mdk
- Add support for trailing slash for source given on command-line
- Fix when rsync path on command-line is one directory

* Sun Mar 21 2004 David Walser <luigiwalser@yahoo.com> 1.4-1mdk
- Add support for :: syntax for specifying rsync server on command-line
- exit immediately if local path is invalid

* Wed Feb 18 2004 David Walser <luigiwalser@yahoo.com> 1.3-1mdk
- Fix for using relative local path (thanks Keld Jørn Simonsen)
- change updates example in README to 10.0
- fix first changelog entry

* Tue Jan 20 2004 David Walser <luigiwalser@yahoo.com> 1.2-1mdk
- Fix for when banner is complelety empty (thanks Luca Berra)

* Sat Oct 25 2003 David Walser <luigiwalser@yahoo.com> 1.1-1mdk
- Fix for when source has no slash in it (like updates example in README)
- fix updates example in README
- from Jaco Greeff <jaco@linuxminicd.org> :
	- Added rsync require
	- Fixed typo in first changelog entry

* Thu Oct 16 2003 David Walser <luigiwalser@yahoo.com> 1.0-2mdk
- Fix command-line support (variable scope problem); thanks Aaron Peromsik

